package config

import (
	"github.com/clod-moon/goconf"
	"log"
	"os"
)

func main() {
InitConfig()

}

//本地工作目录
var LocalWorkSpaceDir string

//本地ipfs网关
var GobalIpfsUrl ="localhost:5001"

//ipfs引导节点默认网关，安装目录下 bin/fts.ini 可配
var ServerIpfsUrl = "10.240.10.238:5001"
//var ServerIpfsUrl = "vpn.azut.cn:5001"

//var EtcdUrl="127.0.0.1:2379"

func InitConfig(){

	conf := iniconf.InitConfig("../../bin/fts.ini")

	ServerIpfsUrl = conf.GetValue("url", "ServerIpfsUrl")
	if ServerIpfsUrl=="" || len(ServerIpfsUrl)==0{
		log.Panic("请检测文件bin/fts.ini文件缺失或ServerIpfsUrl配置项缺失")
	}
	//log.Print(ServerIpfsUrl)
	//log.Print(filepath.Abs("./"))
	LocalWorkSpaceDir=os.Getenv("USERPROFILE")+"\\easycloud"

}